> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List all Accounts

GET https://api.withpersona.com/api/v1/accounts

Returns a list of your organization's account(s). Results are returned in reverse chronological order, with the most recently created objects first.

Reference: https://docs.withpersona.com/api-reference/accounts/list-all-accounts

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (AccountsGetParametersPage, optional)
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
- `filter` (AccountsGetParametersFilter, optional)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a collection of Account objects.

- `data` (list of account, required) — An array of Accounts
- `links` (AccountsGetResponsesContentApplicationJsonSchemaLinks, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of AccountsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of AccountsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of AccountsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of AccountsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of AccountsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### AccountsGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### AccountsGetParametersFilter

- `reference-id` (string, optional) — Filter accounts by reference ID. Can be a single reference ID or an array of reference IDs.

### account

An Account object. Note that `fields` is **not** key inflected.

- `id` (string, optional)
- `attributes` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributes, optional)
- `relationships` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationships, optional)

### AccountsGetResponsesContentApplicationJsonSchemaLinks

- `prev` (string, required, nullable) — URL pointing to the previous page of data, or null if on the first page.
- `next` (string, required, nullable) — URL pointing to the next page of data, or null if on the last page.

### AccountsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributes

- `reference-id` (string, optional, nullable)
- `account-type-name` (string, optional)
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional)
- `redacted-at` (datetime, optional, nullable)
- `fields` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFields, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Account Type for this Account. Keys in `fields` are **not** key inflected.
- `tags` (list of string, optional)
- `account-status` (string, optional)
- `birthdate` (date, optional, nullable) — Birthdate, must be in the format "YYYY-MM-DD".
- `name-first` (string, optional, nullable) — Given or first name.
- `name-middle` (string, optional, nullable) — Middle name.
- `name-last` (string, optional, nullable) — Family or last name.
- `phone-number` (string, optional, nullable) — Phone number.
- `email-address` (string, optional, nullable) — Email address.
- `address-street-1` (string, optional, nullable) — Street name of residence address.
- `address-street-2` (string, optional, nullable) — Extension of residence address, usually apartment or suite number.
- `address-city` (string, optional, nullable) — City of residence address. Not all international addresses use this attribute.
- `address-subdivision` (string, optional, nullable) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute.
- `address-postal-code` (string, optional, nullable) — ZIP or postal code of residence address. Not all international addresses use this attribute.
- `country-code` (string, optional, nullable) — ISO 3166-1 alpha 2 country code.
- `identification-numbers` (map from string to list of VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesIdentificationNumbersItems, optional) — Keys will be the identification class
- `social-security-number` (string, optional, nullable) — Social security number.

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationships

- `account-type` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountType, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFields

JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Account Type for this Account. Keys in `fields` are **not** key inflected.

- `name` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsName, optional)
- `address` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddress, optional)
- `identification_numbers` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbers, optional)
- `birthdate` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsBirthdate, optional)
- `phone_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsPhoneNumber, optional)
- `email_address` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsEmailAddress, optional)
- `selfie_photo` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsSelfiePhoto, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesIdentificationNumbersItems

- `issuing-country` (string, optional)
- `identification-class` (string, optional)
- `identification-number` (string, optional)
- `created-at` (datetime, optional)
- `updated-at` (datetime, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountType

- `data` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountTypeData, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsName

- `type` (string, optional)
- `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValue, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddress

- `type` (string, optional)
- `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValue, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbers

- `type` (string, optional)
- `value` (list of VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItems, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsBirthdate

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsPhoneNumber

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsEmailAddress

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsSelfiePhoto

- `type` ("file", optional)
- `value` (File, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountRelationshipsAccountTypeData

- `id` (string, optional)
- `type` ("account-type", optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValue

- `first` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueFirst, optional)
- `middle` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueMiddle, optional)
- `last` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueLast, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValue

- `street_1` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet1, optional)
- `street_2` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet2, optional)
- `subdivision` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueSubdivision, optional)
- `city` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCity, optional)
- `postal_code` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValuePostalCode, optional)
- `country_code` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCountryCode, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItems

- `type` (string, optional)
- `value` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValue, optional)

### File

- `filename` (string, optional)
- `url` (string, optional)
- `byte-size` (integer, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueFirst

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueMiddle

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsNameValueLast

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet1

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueStreet2

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueSubdivision

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCity

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValuePostalCode

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsAddressValueCountryCode

- `type` (string, optional)
- `value` (string, optional, nullable)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValue

- `identification_class` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationClass, optional)
- `identification_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationNumber, optional)
- `issuing_country` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIssuingCountry, optional)
- `hashed_identification_number` (VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueHashedIdentificationNumber, optional) — A SHA-256 hash of the identification number, keyed on organization, country code, identification class, and issuing subdivision. Stable across re-verifications of the same document for the same organization. Null when the identification number has not been hashed.

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationClass

- `type` (string, optional)
- `value` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIdentificationNumber

- `type` (string, optional)
- `value` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueIssuingCountry

- `type` (string, optional)
- `value` (string, optional)

### VerificationIncludedObjectsItemsDiscriminatorMappingAccountAttributesFieldsIdentificationNumbersValueItemsValueHashedIdentificationNumber

A SHA-256 hash of the identification number, keyed on organization, country code, identification class, and issuing subdivision. Stable across re-verifications of the same document for the same organization. Null when the identification number has not been hashed.

- `type` (string, optional)
- `value` (string, optional, nullable)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "act_hpNqyAbEG4HeVjZoBRNCMKkA",
      "attributes": {
        "reference-id": "abc-123",
        "account-type-name": "User",
        "created-at": "2023-09-22T17:13:49.000Z",
        "updated-at": "2023-09-23T00:22:19.000Z",
        "redacted-at": null,
        "fields": {
          "name": {
            "type": "hash",
            "value": {
              "first": {
                "type": "string",
                "value": "Jane"
              },
              "middle": {
                "type": "string",
                "value": "Marie"
              },
              "last": {
                "type": "string",
                "value": "Doe"
              }
            }
          },
          "address": {
            "type": "hash",
            "value": {
              "street_1": {
                "type": "string",
                "value": "123 Main St"
              },
              "street_2": {
                "type": "string",
                "value": null
              },
              "subdivision": {
                "type": "string",
                "value": "California"
              },
              "city": {
                "type": "string",
                "value": "San Francisco"
              },
              "postal_code": {
                "type": "string",
                "value": "94111"
              },
              "country_code": {
                "type": "string",
                "value": "US"
              }
            }
          },
          "identification_numbers": {
            "type": "array",
            "value": [
              {
                "type": "hash",
                "value": {
                  "identification_class": {
                    "type": "string",
                    "value": "visa"
                  },
                  "identification_number": {
                    "type": "string",
                    "value": "12345678"
                  },
                  "issuing_country": {
                    "type": "string",
                    "value": "US"
                  }
                }
              },
              {
                "type": "hash",
                "value": {
                  "identification_class": {
                    "type": "string",
                    "value": "visa"
                  },
                  "identification_number": {
                    "type": "string",
                    "value": "87654321"
                  },
                  "issuing_country": {
                    "type": "string",
                    "value": "UK"
                  }
                }
              },
              {
                "type": "hash",
                "value": {
                  "identification_class": {
                    "type": "string",
                    "value": "cct"
                  },
                  "identification_number": {
                    "type": "string",
                    "value": "A12345678"
                  },
                  "issuing_country": {
                    "type": "string",
                    "value": "AF"
                  }
                }
              }
            ]
          },
          "birthdate": {
            "type": "date",
            "value": "1994-12-30"
          },
          "phone_number": {
            "type": "string",
            "value": "111-222-3333"
          },
          "email_address": {
            "type": "string",
            "value": "jane@doe.com"
          },
          "selfie_photo": {
            "type": "file"
          }
        },
        "tags": [
          "tag1",
          "tag2"
        ]
      },
      "relationships": {
        "account-type": {
          "data": {
            "id": "acttp_7X5W5w9GMtQntE6oPtKnj44c",
            "type": "account-type"
          }
        }
      },
      "type": "account"
    }
  ],
  "links": {
    "prev": null,
    "next": "/api/v1/accounts?page%5Bafter%5D=act_hpNqyAbEG4HeVjZoBRNCMKkA"
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/accounts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/accounts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/accounts")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/accounts', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/accounts");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```